@charset "utf-8";

@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&family=Noto+Serif+JP:wght@200..900&display=swap");

/* CSS Document */
:root {
  --content-color-base: #2c2a29;
  --content-color-gold: #7e6740;
  --bg-img-setting: no-repeat center center / contain;
  --content-width-sp: calc(336vw / 3.75);
  --content-width-pc: 1104px;
  --content-width: min(var(--content-width-sp), var(--content-width-pc));
  --content-bg-width-pc: max(100%, 1920px);
  --font-size-pc: 16px;
  --font-size-sp: calc(16vw / 3.75);
  --content-font-size: min(var(--font-size-sp), var(--font-size-pc));
  --font-sans: "Noto Sans JP", serif;
  --font-serif: "Noto Serif JP", serif;
  --content-hover-speed: 0.3s;
  --content-arrow-down: url(/cmn/icon2/expand_more.svg);
  --content-arrow-up: url(/cmn/icon2/expand_less.svg);
  --content-arrow-right: url(/cmn/icon2/chevron_right.svg);
  --content-border-1: 1px solid;
  --content-border-2: 2px solid;
  --content-border-4: 4px solid;
}

.is-sp,
.is-tb {
  display: none;
}
.is-pc.is-tb {
  display: block;
}
.main {
  font-family: var(--font-sans);
  font-size: var(--content-font-size);
  color: var(--content-color-base);
  line-height: 1.3;
  position: relative;
}
.main * {
  box-sizing: border-box;
}
.inner {
  width: var(--content-width);
  margin: auto;
  position: relative;
}
a {
  transition: var(--content-hover-speed);
}
img {
  height: auto;
}
.note-list > li,
.note-txt {
  display: block;
  font-size: 12px;
  font-weight: normal;
  color: #737373;
  padding-left: 1em;
  text-indent: -1em;
  line-height: 1.5;
}

/***** MV・ナビ *****/
.title-container {
  background: #000;
  height: 600px;
  > .inner {
    display: grid;
    grid-template-columns: 512px 1fr;
    gap: 40px;
    align-items: center;
    height: 100%;
    .title-content {
      display: grid;
      gap: 40px;
      .title-logo {
        text-align: center;
      }
      .catchcopy {
        color: #fff;
        text-align: center;
        line-height: 1.5;
      }
      .dep-select-nav {
        position: relative;
        .display_selected {
          background: var(--content-color-gold);
          border-radius: 999px;
          padding: 16px;
          font-size: 20px;
          font-weight: bold;
          color: #fff;
          text-align: center;
          position: relative;
          cursor: pointer;
          &::after {
            content: "";
            mask: var(--bg-img-setting) var(--content-arrow-down);
            background: #fff;
            width: 24px;
            height: 24px;
            position: absolute;
            top: 0;
            right: 24px;
            bottom: 0;
            margin: auto;
          }
        }
        .dep-select-zone {
          display: none;
          width: 100%;
          position: absolute;
          right: 0;
          left: 0;
          z-index: 30;
          border-top: none;
          background: #fff;
          border: 1px solid var(--content-color-gold);
          .dep-select > li > a {
            display: block;
            cursor: default;
            padding: 2px 10px;
            text-align: center;
            line-height: calc(21 / 14);
            &:hover,
            .selected {
              background: var(--content-color-gold);
              color: #fff;
            }
          }
          .close-button {
            display: none;
          }
        }
      }
    }
  }
  &::after {
    content: "";
    background: url(../img/mv.webp) no-repeat left top / auto 600px;
    width: min(960px, 50%);
    height: 600px;
    position: absolute;
    top: 0;
    right: 0;
  }
}

/***** メインコンテンツ *****/
.main-container {
  position: relative;
  padding-block: 96px;
}
.container {
  width: 100%;
  display: grid;
  gap: 64px;
  .select-tab {
    width: var(--content-width);
    margin: auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    > li {
      padding: 8px;
      font-size: 26px;
      color: var(--content-color-gold);
      text-align: center;
      border-bottom: var(--content-border-4) rgba(126 103 64 / 50%);
    }
    > li.is-current {
      color: var(--content-color-base);
      border-bottom-color: var(--content-color-gold);
    }
  }
  .select-content {
    display: none;
  }
  .select-content.is-active {
    display: grid;
    gap: 64px;
    padding-bottom: 64px;
    .hotel-content {
      display: grid;
      gap: 40px;
      position: relative;
      &:first-child::before {
        content: "";
        background: no-repeat left top / auto 480px;
        width: min(960px, 50%);
        height: 480px;
        position: absolute;
        top: 0;
        left: 0;
      }
      &:first-child::after {
        display: block;
        position: absolute;
        top: 480px;
        left: 0;
        margin: auto;
        width: min(960px, 50%);
        font-weight: bold;
        color: var(--content-color-gold);
        text-align: right;
      }
      &:nth-child(2)::after {
        content: "";
        background: no-repeat left top / auto 480px;
        width: min(960px, 50%);
        height: 480px;
        position: absolute;
        top: 0;
        right: 0;
      }
      &:nth-child(2)::before {
        display: block;
        position: absolute;
        top: 480px;
        right: 0;
        margin: auto;
        width: min(960px, 50%);
        font-weight: bold;
        color: var(--content-color-gold);
        text-align: left;
      }
      .hotel-box {
        display: flex;
        gap: 24px;
        align-items: flex-start;
        .hotel-item {
          width: min(528px, 50%);
          display: grid;
          gap: 24px;
          .hotel-titlebox {
            display: grid;
            gap: 8px;
            .hotel-title {
              display: grid;
              grid-template-columns: 64px 1fr;
              gap: 8px;
              .area-icon {
                background: var(--content-color-gold);
                padding: 8px 4px;
                color: #fff;
                text-align: center;
                display: flex;
                justify-content: center;
                align-items: center;
              }
              .hotel-name {
                font-family: var(--font-serif);
                font-size: 32px;
                font-weight: 600;
              }
            }
            .hotel-copy {
              font-family: var(--font-serif);
              font-size: 20px;
              font-weight: 600;
              line-height: 1.8;
            }
          }
          .hotel-txt {
            color: var(--content-color-gold);
            line-height: 1.8;
          }
          .hotel-img {
            display: grid;
            grid-template-columns: repeat(2, 50%);
            > li .hotel-caption {
              display: block;
              text-align: right;
              font-weight: bold;
              color: var(--content-color-gold);
            }
          }
        }
      }
      &:first-child .hotel-box {
        flex-direction: row-reverse;
      }
      .product-wrapper {
        padding-block: 40px;
        > .inner {
          display: grid;
          gap: 32px;
          .sub-title {
            font-size: 40px;
            color: #fff;
            text-align: center;
          }
          .area00 {
            display: none;
            .close-txt {
              color: #fff;
              margin: 0 auto;
            }
          }
          .link-list {
            display: flex;
            gap: 16px;
            justify-content: center;
            > li {
              width: 360px;
              height: 48px;
              > a {
                background: #fff;
                border-radius: 999px;
                display: flex;
                justify-content: center;
                align-items: center;
                width: 100%;
                height: 100%;
                padding-right: 18px;
                padding-left: 26px;
                font-weight: bold;
                color: var(--content-color-gold);
                text-align: center;
                position: relative;
                &::before {
                  content: "";
                  mask: var(--bg-img-setting);
                  background: var(--content-color-gold);
                  width: 24px;
                  height: 24px;
                  position: absolute;
                  top: 0;
                  bottom: 0;
                  left: 18px;
                  margin: auto;
                }
              }
            }
            .is-dp > a::before {
              mask-image: url(/cmn/icon2/pack.svg);
            }
            .is-hotel > a::before {
              mask-image: url(/cmn/icon2/Hotel_building.svg);
            }
            .is-hide {
              display: none;
            }
          }
        }
      }
    }
    .halekulani.hotel-content::before {
      background-image: url(../img/photo/okinawa_mainland_halekulani01.webp);
    }
    .halekulani.hotel-content::after {
      content: "オーキッドプール";
    }
    .shigira.hotel-content::after {
      background-image: url(../img/photo/okinawa_island_shigira01.webp);
    }
    .shigira.hotel-content::before {
      content: "外観";
    }
    .risonare.hotel-content::before {
      background-image: url(../img/photo/hokkaido_tomamu_hoshino01.webp);
    }
    .risonare.hotel-content::after {
      content: "雲海テラス Cloud Walk（クラウドウォーク）";
    }
    .intercontinental.hotel-content::after {
      background-image: url(../img/photo/hokkaido_sapporo_interconti01.webp);
    }
    .intercontinental.hotel-content::before {
      content: "外観";
    }
    .europe.hotel-content::before {
      background-image: url(../img/photo/kyushu_nagasaki_htb01.webp);
    }
    .europe.hotel-content::after {
      content: "外観";
    }
    .hakusuikan.hotel-content::after {
      background-image: url(../img/photo/kyushu_kagoshima_ibusuki01.webp);
    }
    .hakusuikan.hotel-content::before {
      content: "元禄風呂";
    }
    .dogokan.hotel-content::before {
      background-image: url(../img/photo/shikoku_ehime_dougo01.webp);
    }
    .dogokan.hotel-content::after {
      content: "外観";
    }
    .kotosankaku.hotel-content::after {
      background-image: url(../img/photo/shikoku_kagawa_kotohira01.webp);
    }
    .kotosankaku.hotel-content::before {
      content: "露天風呂";
    }
    .link-button {
      width: 760px;
      margin: auto;
      > a {
        display: flex;
        gap: 24px;
        justify-content: center;
        border-radius: 999px;
        background: var(--content-color-gold);
        padding: 16px 64px 16px 96px;
        font-size: 26px;
        font-weight: bold;
        color: #fff;
        &::after {
          content: "";
          mask: var(--bg-img-setting) var(--content-arrow-right);
          background: #fff;
          width: 36px;
          height: 36px;
          display: block;
        }
        &:hover {
          opacity: 0.8;
        }
      }
      &.is-hide {
        display: none;
      }
    }
  }
  .is-oka .product-wrapper {
    background-image: url(../img/bg_okinawa.webp);
  }
  .is-hokkaido .product-wrapper {
    background-image: url(../img/bg_hokkaido.webp);
  }
  .is-kyushu .product-wrapper {
    background-image: url(../img/bg_kyushu.webp);
  }
  .is-shikoku .product-wrapper {
    background-image: url(../img/bg_shikoku.webp);
  }
}

@media (768px <= width <= 1180px) {
  .is-pc {
    display: none;
  }
  .title-container {
    .inner {
      grid-template-columns: repeat(2, 1fr);
      gap: 0;
      .title-content {
        padding-right: 24px;
      }
    }
    &::after {
      background-position: center;
      width: 50%;
    }
  }
  .container {
    .select-content.is-active {
      .hotel-content {
        .hotel-box {
          margin-bottom: 24px;
          .hotel-item {
            width: 50%;
            padding-right: 24px;
            .hotel-titlebox {
              .hotel-title {
                .hotel-name {
                  font-size: 28px;
                }
              }
              .hotel-copy {
                font-size: 18px;
              }
            }
          }
        }
        &:first-child::before,
        &:nth-child(2)::after {
          background-position: center;
        }
      }

      .link-button {
        width: 100%;
      }
    }
  }
  .hotel-content:first-child .hotel-box .hotel-item {
    padding-right: 0;
    padding-left: 24px;
  }
}
